-- Copyright (c) 2025 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
--
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local video_type = Input[1]
local system_id = Input[2]
local system_ids = Input[3]
local video_path = {
    CaterrorVideo = "/tmp/web/video_caterror.rep",
    PoweroffVideo = "/tmp/web/video_poweroff.rep",
    OsresetVideo = "/tmp/web/video_osreset.rep"
}
local system1_video_path = {
    CaterrorVideo = "/tmp/web/system1_video_caterror.rep",
    PoweroffVideo = "/tmp/web/system1_video_poweroff.rep",
    OsresetVideo = "/tmp/web/system1_video_osreset.rep"
}
local system2_video_path = {
    CaterrorVideo = "/tmp/web/system2_video_caterror.rep",
    PoweroffVideo = "/tmp/web/system2_video_poweroff.rep",
    OsresetVideo = "/tmp/web/system2_video_osreset.rep"
}
local PATH_MAP = {
    system1_video_path,
    system2_video_path
}

if not system_id or system_id == cjson.null then
    system_id = 1
end

-- 单系统主机场景使用无前缀的录像文件名
if not system_ids or system_ids == cjson.null or #system_ids == 1 then
    PATH_MAP[1] = video_path
end

return PATH_MAP[system_id][video_type]